Bug 180453 - update sysutils/procenv, Utility to show process environment
Summary: update sysutils/procenv, Utility to show process environment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-11 08:30 UTC by jamesodhunt
Modified: 2013-07-14 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.31 KB, patch)
2013-07-11 08:30 UTC, jamesodhunt
no flags Details | Diff
procenv-0.24-update.diff (1.36 KB, patch)
2013-07-11 14:42 UTC, jamesodhunt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jamesodhunt 2013-07-11 08:30:00 UTC
Patch attached for sysutils/procenv that:

- updates port to procenv version 0.24.
- allows procenv to be run as part of build to:
  - demonstrate procenv works.
  - allow the build environment to be inspected (*).


(*) - see links to other build environments on the procenv project page:

https://launchpad.net/procenv/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-11 08:30:08 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 jamesodhunt 2013-07-11 14:42:41 UTC
Updated patch attached that portlint is happy with.

Kind regards,

James.
--
James Hunt
____________________________________
#upstart on freenode
http://upstart.ubuntu.com/cookbook
https://lists.ubuntu.com/mailman/listinfo/upstart-devel
Comment 3 William Grzybowski freebsd_committer 2013-07-13 17:58:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-07-14 21:58:41 UTC
Author: wg
Date: Sun Jul 14 20:58:34 2013
New Revision: 323004
URL: http://svnweb.freebsd.org/changeset/ports/323004

Log:
  sysutils/procenv: update to 0.24
  
  - Update to 0.24 [1]
  - Add regression-test target [1]
  - Convert USES gmake
  
  Changes:
  http://bazaar.launchpad.net/~jamesodhunt/procenv/trunk/view/head:/NEWS
  
  PR:		ports/180453
  Submitted by:	James Hunt <james.hunt ubuntu.com> (maintainer)

Modified:
  head/sysutils/procenv/Makefile
  head/sysutils/procenv/distinfo

Modified: head/sysutils/procenv/Makefile
==============================================================================
--- head/sysutils/procenv/Makefile	Sun Jul 14 20:52:10 2013	(r323003)
+++ head/sysutils/procenv/Makefile	Sun Jul 14 20:58:34 2013	(r323004)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	procenv
-PORTVERSION=	0.23
+PORTVERSION=	0.24
 CATEGORIES=	sysutils
 MASTER_SITES=	https://launchpad.net/procenv/trunk/${PORTVERSION}/+download/ \
 		DEBIAN \
@@ -14,7 +14,9 @@ COMMENT=	Utility to show process environ
 LICENSE=	GPLv3
 
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
+USES=		gmake
+USE_AUTOTOOLS=	aclocal automake
+
 FETCH_ARGS=	-Fpr
 
 MAN1=		procenv.1
@@ -26,4 +28,14 @@ PLIST_FILES=	bin/procenv
 BROKEN=		does not build on old ${OPSYS} versions
 .endif
 
+# Test to ensure procenv will actually run.
+#
+# This has the attractive side-effect of displaying the environment
+# of the build system which may be of interest to those fixing FTBFS
+# packages that build correctly locally.
+regression-test: build
+	cd ${WRKSRC} && ${MAKE} check
+
+test: regression-test
+
 .include <bsd.port.post.mk>

Modified: head/sysutils/procenv/distinfo
==============================================================================
--- head/sysutils/procenv/distinfo	Sun Jul 14 20:52:10 2013	(r323003)
+++ head/sysutils/procenv/distinfo	Sun Jul 14 20:58:34 2013	(r323004)
@@ -1,2 +1,2 @@
-SHA256 (procenv-0.23.tar.gz) = 02f977bc7a61f7e366e193d76097f7390903c9a8c9270a09b96431b7db5e7ba9
-SIZE (procenv-0.23.tar.gz) = 212792
+SHA256 (procenv-0.24.tar.gz) = 576d1799c1e716c12b1ea11e6a658ec6fccb794c94013edc4f72d68e85e4b026
+SIZE (procenv-0.24.tar.gz) = 216260
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 William Grzybowski freebsd_committer 2013-07-14 21:58:53 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!